> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# discord-guilds

> Discord Guilds

**Server path:** `/discord-guilds` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                          | Description                                                       |
| --------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [`discord-guilds_add_guild_member`](#discord-guilds_add_guild_member)                         | PUT /guilds/\{guild\_id}/members/\{user\_id}                      |
| [`discord-guilds_add_guild_member_role`](#discord-guilds_add_guild_member_role)               | PUT /guilds/\{guild\_id}/members/\{user\_id}/roles/\{role\_id}    |
| [`discord-guilds_ban_user_from_guild`](#discord-guilds_ban_user_from_guild)                   | PUT /guilds/\{guild\_id}/bans/\{user\_id}                         |
| [`discord-guilds_bulk_update_guild_channels`](#discord-guilds_bulk_update_guild_channels)     | PATCH /guilds/\{guild\_id}/channels                               |
| [`discord-guilds_bulk_update_guild_roles`](#discord-guilds_bulk_update_guild_roles)           | PATCH /guilds/\{guild\_id}/roles                                  |
| [`discord-guilds_create_auto_moderation_rule`](#discord-guilds_create_auto_moderation_rule)   | POST /guilds/\{guild\_id}/auto-moderation/rules                   |
| [`discord-guilds_create_guild_channel`](#discord-guilds_create_guild_channel)                 | POST /guilds/\{guild\_id}/channels                                |
| [`discord-guilds_create_guild_emoji`](#discord-guilds_create_guild_emoji)                     | POST /guilds/\{guild\_id}/emojis                                  |
| [`discord-guilds_create_guild_role`](#discord-guilds_create_guild_role)                       | POST /guilds/\{guild\_id}/roles                                   |
| [`discord-guilds_delete_auto_moderation_rule`](#discord-guilds_delete_auto_moderation_rule)   | DELETE /guilds/\{guild\_id}/auto-moderation/rules/\{rule\_id}     |
| [`discord-guilds_delete_guild_emoji`](#discord-guilds_delete_guild_emoji)                     | DELETE /guilds/\{guild\_id}/emojis/\{emoji\_id}                   |
| [`discord-guilds_delete_guild_integration`](#discord-guilds_delete_guild_integration)         | DELETE /guilds/\{guild\_id}/integrations/\{integration\_id}       |
| [`discord-guilds_delete_guild_member`](#discord-guilds_delete_guild_member)                   | DELETE /guilds/\{guild\_id}/members/\{user\_id}                   |
| [`discord-guilds_delete_guild_member_role`](#discord-guilds_delete_guild_member_role)         | DELETE /guilds/\{guild\_id}/members/\{user\_id}/roles/\{role\_id} |
| [`discord-guilds_delete_guild_role`](#discord-guilds_delete_guild_role)                       | DELETE /guilds/\{guild\_id}/roles/\{role\_id}                     |
| [`discord-guilds_get_active_guild_threads`](#discord-guilds_get_active_guild_threads)         | GET /guilds/\{guild\_id}/threads/active                           |
| [`discord-guilds_get_auto_moderation_rule`](#discord-guilds_get_auto_moderation_rule)         | GET /guilds/\{guild\_id}/auto-moderation/rules/\{rule\_id}        |
| [`discord-guilds_get_guild`](#discord-guilds_get_guild)                                       | GET /guilds/\{guild\_id}                                          |
| [`discord-guilds_get_guild_ban`](#discord-guilds_get_guild_ban)                               | GET /guilds/\{guild\_id}/bans/\{user\_id}                         |
| [`discord-guilds_get_guild_emoji`](#discord-guilds_get_guild_emoji)                           | GET /guilds/\{guild\_id}/emojis/\{emoji\_id}                      |
| [`discord-guilds_get_guild_member`](#discord-guilds_get_guild_member)                         | GET /guilds/\{guild\_id}/members/\{user\_id}                      |
| [`discord-guilds_get_guild_preview`](#discord-guilds_get_guild_preview)                       | GET /guilds/\{guild\_id}/preview                                  |
| [`discord-guilds_get_guild_role`](#discord-guilds_get_guild_role)                             | GET /guilds/\{guild\_id}/roles/\{role\_id}                        |
| [`discord-guilds_get_guild_template`](#discord-guilds_get_guild_template)                     | GET /guilds/templates/\{code}                                     |
| [`discord-guilds_get_guild_vanity_url`](#discord-guilds_get_guild_vanity_url)                 | GET /guilds/\{guild\_id}/vanity-url                               |
| [`discord-guilds_get_guild_webhooks`](#discord-guilds_get_guild_webhooks)                     | GET /guilds/\{guild\_id}/webhooks                                 |
| [`discord-guilds_guild_role_member_counts`](#discord-guilds_guild_role_member_counts)         | GET /guilds/\{guild\_id}/roles/member-counts                      |
| [`discord-guilds_list_auto_moderation_rules`](#discord-guilds_list_auto_moderation_rules)     | GET /guilds/\{guild\_id}/auto-moderation/rules                    |
| [`discord-guilds_list_guild_audit_log_entries`](#discord-guilds_list_guild_audit_log_entries) | GET /guilds/\{guild\_id}/audit-logs                               |
| [`discord-guilds_list_guild_bans`](#discord-guilds_list_guild_bans)                           | GET /guilds/\{guild\_id}/bans                                     |
| [`discord-guilds_list_guild_channels`](#discord-guilds_list_guild_channels)                   | GET /guilds/\{guild\_id}/channels                                 |
| [`discord-guilds_list_guild_emojis`](#discord-guilds_list_guild_emojis)                       | GET /guilds/\{guild\_id}/emojis                                   |
| [`discord-guilds_list_guild_integrations`](#discord-guilds_list_guild_integrations)           | GET /guilds/\{guild\_id}/integrations                             |
| [`discord-guilds_list_guild_invites`](#discord-guilds_list_guild_invites)                     | GET /guilds/\{guild\_id}/invites                                  |
| [`discord-guilds_list_guild_members`](#discord-guilds_list_guild_members)                     | GET /guilds/\{guild\_id}/members                                  |
| [`discord-guilds_list_guild_roles`](#discord-guilds_list_guild_roles)                         | GET /guilds/\{guild\_id}/roles                                    |
| [`discord-guilds_list_guild_voice_regions`](#discord-guilds_list_guild_voice_regions)         | GET /guilds/\{guild\_id}/regions                                  |
| [`discord-guilds_preview_prune_guild`](#discord-guilds_preview_prune_guild)                   | GET /guilds/\{guild\_id}/prune                                    |
| [`discord-guilds_search_guild_members`](#discord-guilds_search_guild_members)                 | GET /guilds/\{guild\_id}/members/search                           |
| [`discord-guilds_unban_user_from_guild`](#discord-guilds_unban_user_from_guild)               | DELETE /guilds/\{guild\_id}/bans/\{user\_id}                      |
| [`discord-guilds_update_auto_moderation_rule`](#discord-guilds_update_auto_moderation_rule)   | PATCH /guilds/\{guild\_id}/auto-moderation/rules/\{rule\_id}      |
| [`discord-guilds_update_guild`](#discord-guilds_update_guild)                                 | PATCH /guilds/\{guild\_id}                                        |
| [`discord-guilds_update_guild_emoji`](#discord-guilds_update_guild_emoji)                     | PATCH /guilds/\{guild\_id}/emojis/\{emoji\_id}                    |
| [`discord-guilds_update_guild_member`](#discord-guilds_update_guild_member)                   | PATCH /guilds/\{guild\_id}/members/\{user\_id}                    |
| [`discord-guilds_update_guild_role`](#discord-guilds_update_guild_role)                       | PATCH /guilds/\{guild\_id}/roles/\{role\_id}                      |
| [`discord-guilds_update_my_guild_member`](#discord-guilds_update_my_guild_member)             | PATCH /guilds/\{guild\_id}/members/@me                            |

***

## discord-guilds\_add\_guild\_member

PUT /guilds/\{guild\_id}/members/\{user\_id}

**Parameters:**

| Parameter      | Type      | Required | Default | Description     |                 |
| -------------- | --------- | -------- | ------- | --------------- | --------------- |
| `guild_id`     | string    | Yes      | —       | Guild Id        |                 |
| `user_id`      | string    | Yes      | —       | User Id         |                 |
| `access_token` | string    | Yes      | —       | Access Token    |                 |
| `deaf`         | boolean   | null     | No      | —               | The deaf value  |
| `flags`        | integer   | null     | No      | —               | The flags value |
| `mute`         | boolean   | null     | No      | —               | The mute value  |
| `nick`         | string    | null     | No      | —               | The nick value  |
| `roles`        | string\[] | No       | —       | The roles value |                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "access_token": {
        "type": "string",
        "description": "Access Token"
      },
      "deaf": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The deaf value"
      },
      "flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "mute": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The mute value"
      },
      "nick": {
        "type": [
          "string",
          "null"
        ],
        "description": "The nick value"
      },
      "roles": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "The roles value"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id",
      "access_token"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_add\_guild\_member\_role

PUT /guilds/\{guild\_id}/members/\{user\_id}/roles/\{role\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `user_id`  | string | Yes      | —       | User Id     |
| `role_id`  | string | Yes      | —       | Role Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "role_id": {
        "type": "string",
        "description": "Role Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id",
      "role_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_ban\_user\_from\_guild

PUT /guilds/\{guild\_id}/bans/\{user\_id}

**Parameters:**

| Parameter                | Type    | Required | Default | Description |                        |
| ------------------------ | ------- | -------- | ------- | ----------- | ---------------------- |
| `guild_id`               | string  | Yes      | —       | Guild Id    |                        |
| `user_id`                | string  | Yes      | —       | User Id     |                        |
| `delete_message_days`    | integer | null     | No      | —           | Delete Message Days    |
| `delete_message_seconds` | integer | null     | No      | —           | Delete Message Seconds |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "delete_message_days": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Delete Message Days"
      },
      "delete_message_seconds": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Delete Message Seconds"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_bulk\_update\_guild\_channels

PATCH /guilds/\{guild\_id}/channels

**Parameters:**

| Parameter  | Type      | Required | Default | Description  |
| ---------- | --------- | -------- | ------- | ------------ |
| `guild_id` | string    | Yes      | —       | Guild Id     |
| `body`     | object\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            },
            "position": {
              "type": "integer",
              "format": "int32",
              "description": "The position value"
            },
            "parent_id": {
              "type": "string",
              "format": "snowflake",
              "description": "Parent Id"
            },
            "lock_permissions": {
              "type": "boolean",
              "description": "Lock Permissions"
            }
          }
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_bulk\_update\_guild\_roles

PATCH /guilds/\{guild\_id}/roles

**Parameters:**

| Parameter  | Type      | Required | Default | Description  |
| ---------- | --------- | -------- | ------- | ------------ |
| `guild_id` | string    | Yes      | —       | Guild Id     |
| `body`     | object\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            },
            "position": {
              "type": "integer",
              "format": "int32",
              "description": "The position value"
            }
          }
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_create\_auto\_moderation\_rule

POST /guilds/\{guild\_id}/auto-moderation/rules

**Parameters:**

| Parameter  | Type   | Required | Default | Description  |
| ---------- | ------ | -------- | ------- | ------------ |
| `guild_id` | string | Yes      | —       | Guild Id     |
| `body`     | object | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_create\_guild\_channel

POST /guilds/\{guild\_id}/channels

**Parameters:**

| Parameter                            | Type      | Required | Default | Description            |                                    |
| ------------------------------------ | --------- | -------- | ------- | ---------------------- | ---------------------------------- |
| `guild_id`                           | string    | Yes      | —       | Guild Id               |                                    |
| `available_tags`                     | object\[] | No       | —       | Available Tags         |                                    |
| `bitrate`                            | integer   | null     | No      | —                      | The bitrate value                  |
| `default_auto_archive_duration`      | integer   | null     | No      | —                      | Default Auto Archive Duration      |
| `default_forum_layout`               | integer   | null     | No      | —                      | Default Forum Layout               |
| `default_reaction_emoji`             | object    | No       | —       | Default Reaction Emoji |                                    |
| `default_sort_order`                 | integer   | null     | No      | —                      | Default Sort Order                 |
| `default_tag_setting`                | string    | null     | No      | —                      | Default Tag Setting                |
| `default_thread_rate_limit_per_user` | integer   | null     | No      | —                      | Default Thread Rate Limit Per User |
| `name`                               | string    | Yes      | —       | The name value         |                                    |
| `nsfw`                               | boolean   | null     | No      | —                      | The nsfw value                     |
| `parent_id`                          | string    | null     | No      | —                      | Parent Id                          |
| `permission_overwrites`              | object\[] | No       | —       | Permission Overwrites  |                                    |
| `position`                           | integer   | null     | No      | —                      | The position value                 |
| `rate_limit_per_user`                | integer   | null     | No      | —                      | Rate Limit Per User                |
| `rtc_region`                         | string    | null     | No      | —                      | Rtc Region                         |
| `topic`                              | string    | null     | No      | —                      | The topic value                    |
| `type`                               | integer   | null     | No      | —                      | The type value                     |
| `user_limit`                         | integer   | null     | No      | —                      | User Limit                         |
| `video_quality_mode`                 | integer   | null     | No      | —                      | Video Quality Mode                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "available_tags": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "emoji_id": {
              "type": "string",
              "format": "snowflake",
              "description": "Emoji Id"
            },
            "emoji_name": {
              "type": "string",
              "description": "Emoji Name"
            },
            "moderated": {
              "type": "boolean",
              "description": "The moderated value"
            }
          },
          "required": [
            "name"
          ]
        },
        "description": "Available Tags"
      },
      "bitrate": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The bitrate value"
      },
      "default_auto_archive_duration": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Auto Archive Duration"
      },
      "default_forum_layout": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Forum Layout"
      },
      "default_reaction_emoji": {
        "type": "object",
        "description": "Default Reaction Emoji",
        "properties": {
          "emoji_id": {
            "type": "string",
            "description": "Emoji Id"
          },
          "emoji_name": {
            "type": "string",
            "description": "Emoji Name"
          }
        }
      },
      "default_sort_order": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Sort Order"
      },
      "default_tag_setting": {
        "type": [
          "string",
          "null"
        ],
        "description": "Default Tag Setting"
      },
      "default_thread_rate_limit_per_user": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Thread Rate Limit Per User"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "nsfw": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The nsfw value"
      },
      "parent_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Parent Id"
      },
      "permission_overwrites": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            },
            "type": {
              "type": "integer",
              "format": "int32",
              "description": "The type value"
            },
            "allow": {
              "type": "integer",
              "description": "The allow value"
            },
            "deny": {
              "type": "integer",
              "description": "The deny value"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "Permission Overwrites"
      },
      "position": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The position value"
      },
      "rate_limit_per_user": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Rate Limit Per User"
      },
      "rtc_region": {
        "type": [
          "string",
          "null"
        ],
        "description": "Rtc Region"
      },
      "topic": {
        "type": [
          "string",
          "null"
        ],
        "description": "The topic value"
      },
      "type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The type value",
        "enum": [
          0,
          2,
          4,
          5,
          13,
          14,
          15
        ]
      },
      "user_limit": {
        "type": [
          "integer",
          "null"
        ],
        "description": "User Limit"
      },
      "video_quality_mode": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Video Quality Mode"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "name"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_create\_guild\_emoji

POST /guilds/\{guild\_id}/emojis

**Parameters:**

| Parameter  | Type      | Required | Default | Description     |
| ---------- | --------- | -------- | ------- | --------------- |
| `guild_id` | string    | Yes      | —       | Guild Id        |
| `image`    | string    | Yes      | —       | The image value |
| `name`     | string    | Yes      | —       | The name value  |
| `roles`    | string\[] | No       | —       | The roles value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "image": {
        "type": "string",
        "description": "The image value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "roles": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "The roles value"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "image",
      "name"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_create\_guild\_role

POST /guilds/\{guild\_id}/roles

**Parameters:**

| Parameter       | Type    | Required | Default | Description      |                       |
| --------------- | ------- | -------- | ------- | ---------------- | --------------------- |
| `guild_id`      | string  | Yes      | —       | Guild Id         |                       |
| `color`         | integer | null     | No      | —                | The color value       |
| `colors`        | object  | No       | —       | The colors value |                       |
| `hoist`         | boolean | null     | No      | —                | The hoist value       |
| `icon`          | string  | null     | No      | —                | The icon value        |
| `mentionable`   | boolean | null     | No      | —                | The mentionable value |
| `name`          | string  | null     | No      | —                | The name value        |
| `permissions`   | integer | null     | No      | —                | The permissions value |
| `unicode_emoji` | string  | null     | No      | —                | Unicode Emoji         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "color": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The color value"
      },
      "colors": {
        "type": "object",
        "description": "The colors value",
        "properties": {
          "primary_color": {
            "type": "integer",
            "description": "Primary Color"
          },
          "secondary_color": {
            "type": "integer",
            "description": "Secondary Color"
          },
          "tertiary_color": {
            "type": "integer",
            "description": "Tertiary Color"
          }
        }
      },
      "hoist": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The hoist value"
      },
      "icon": {
        "type": [
          "string",
          "null"
        ],
        "description": "The icon value"
      },
      "mentionable": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The mentionable value"
      },
      "name": {
        "type": [
          "string",
          "null"
        ],
        "description": "The name value"
      },
      "permissions": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The permissions value"
      },
      "unicode_emoji": {
        "type": [
          "string",
          "null"
        ],
        "description": "Unicode Emoji"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_delete\_auto\_moderation\_rule

DELETE /guilds/\{guild\_id}/auto-moderation/rules/\{rule\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `rule_id`  | string | Yes      | —       | Rule Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "rule_id": {
        "type": "string",
        "description": "Rule Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "rule_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_delete\_guild\_emoji

DELETE /guilds/\{guild\_id}/emojis/\{emoji\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `emoji_id` | string | Yes      | —       | Emoji Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "emoji_id": {
        "type": "string",
        "description": "Emoji Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "emoji_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_delete\_guild\_integration

DELETE /guilds/\{guild\_id}/integrations/\{integration\_id}

**Parameters:**

| Parameter        | Type   | Required | Default | Description    |
| ---------------- | ------ | -------- | ------- | -------------- |
| `guild_id`       | string | Yes      | —       | Guild Id       |
| `integration_id` | string | Yes      | —       | Integration Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "integration_id": {
        "type": "string",
        "description": "Integration Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "integration_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_delete\_guild\_member

DELETE /guilds/\{guild\_id}/members/\{user\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `user_id`  | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_delete\_guild\_member\_role

DELETE /guilds/\{guild\_id}/members/\{user\_id}/roles/\{role\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `user_id`  | string | Yes      | —       | User Id     |
| `role_id`  | string | Yes      | —       | Role Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "role_id": {
        "type": "string",
        "description": "Role Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id",
      "role_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_delete\_guild\_role

DELETE /guilds/\{guild\_id}/roles/\{role\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `role_id`  | string | Yes      | —       | Role Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "role_id": {
        "type": "string",
        "description": "Role Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "role_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_active\_guild\_threads

GET /guilds/\{guild\_id}/threads/active

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_auto\_moderation\_rule

GET /guilds/\{guild\_id}/auto-moderation/rules/\{rule\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `rule_id`  | string | Yes      | —       | Rule Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "rule_id": {
        "type": "string",
        "description": "Rule Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "rule_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild

GET /guilds/\{guild\_id}

**Parameters:**

| Parameter     | Type    | Required | Default | Description |
| ------------- | ------- | -------- | ------- | ----------- |
| `guild_id`    | string  | Yes      | —       | Guild Id    |
| `with_counts` | boolean | No       | —       | With Counts |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "with_counts": {
        "type": "boolean",
        "description": "With Counts"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_ban

GET /guilds/\{guild\_id}/bans/\{user\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `user_id`  | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_emoji

GET /guilds/\{guild\_id}/emojis/\{emoji\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `emoji_id` | string | Yes      | —       | Emoji Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "emoji_id": {
        "type": "string",
        "description": "Emoji Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "emoji_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_member

GET /guilds/\{guild\_id}/members/\{user\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `user_id`  | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_preview

GET /guilds/\{guild\_id}/preview

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_role

GET /guilds/\{guild\_id}/roles/\{role\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `role_id`  | string | Yes      | —       | Role Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "role_id": {
        "type": "string",
        "description": "Role Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "role_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_template

GET /guilds/templates/\{code}

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `code`    | string | Yes      | —       | The code value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "code": {
        "type": "string",
        "description": "The code value"
      }
    },
    "required": [
      "PCID",
      "code"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_vanity\_url

GET /guilds/\{guild\_id}/vanity-url

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_get\_guild\_webhooks

GET /guilds/\{guild\_id}/webhooks

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_guild\_role\_member\_counts

GET /guilds/\{guild\_id}/roles/member-counts

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_auto\_moderation\_rules

GET /guilds/\{guild\_id}/auto-moderation/rules

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_audit\_log\_entries

GET /guilds/\{guild\_id}/audit-logs

**Parameters:**

| Parameter     | Type    | Required | Default | Description                         |
| ------------- | ------- | -------- | ------- | ----------------------------------- |
| `guild_id`    | string  | Yes      | —       | Guild Id                            |
| `user_id`     | string  | No       | —       | User Id                             |
| `target_id`   | string  | No       | —       | Target Id                           |
| `action_type` | integer | No       | —       | Action Type                         |
| `before`      | string  | No       | —       | The before value                    |
| `after`       | string  | No       | —       | The after value                     |
| `limit`       | integer | No       | —       | Maximum number of results to return |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "target_id": {
        "type": "string",
        "description": "Target Id"
      },
      "action_type": {
        "type": "integer",
        "description": "Action Type"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_bans

GET /guilds/\{guild\_id}/bans

**Parameters:**

| Parameter  | Type    | Required | Default | Description                         |
| ---------- | ------- | -------- | ------- | ----------------------------------- |
| `guild_id` | string  | Yes      | —       | Guild Id                            |
| `limit`    | integer | No       | —       | Maximum number of results to return |
| `before`   | string  | No       | —       | The before value                    |
| `after`    | string  | No       | —       | The after value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_channels

GET /guilds/\{guild\_id}/channels

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_emojis

GET /guilds/\{guild\_id}/emojis

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_integrations

GET /guilds/\{guild\_id}/integrations

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_invites

GET /guilds/\{guild\_id}/invites

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_members

GET /guilds/\{guild\_id}/members

**Parameters:**

| Parameter  | Type    | Required | Default | Description                         |
| ---------- | ------- | -------- | ------- | ----------------------------------- |
| `guild_id` | string  | Yes      | —       | Guild Id                            |
| `limit`    | integer | No       | —       | Maximum number of results to return |
| `after`    | integer | No       | —       | The after value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "after": {
        "type": "integer",
        "description": "The after value"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_roles

GET /guilds/\{guild\_id}/roles

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_list\_guild\_voice\_regions

GET /guilds/\{guild\_id}/regions

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_preview\_prune\_guild

GET /guilds/\{guild\_id}/prune

**Parameters:**

| Parameter       | Type      | Required | Default | Description    |
| --------------- | --------- | -------- | ------- | -------------- |
| `guild_id`      | string    | Yes      | —       | Guild Id       |
| `days`          | integer   | No       | —       | The days value |
| `include_roles` | string\[] | No       | —       | Include Roles  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "days": {
        "type": "integer",
        "description": "The days value"
      },
      "include_roles": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "Include Roles"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_search\_guild\_members

GET /guilds/\{guild\_id}/members/search

**Parameters:**

| Parameter  | Type    | Required | Default | Description                         |
| ---------- | ------- | -------- | ------- | ----------------------------------- |
| `guild_id` | string  | Yes      | —       | Guild Id                            |
| `limit`    | integer | No       | —       | Maximum number of results to return |
| `query`    | string  | Yes      | —       | Search query string                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "query": {
        "type": "string",
        "description": "Search query string"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "query"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_unban\_user\_from\_guild

DELETE /guilds/\{guild\_id}/bans/\{user\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `guild_id` | string | Yes      | —       | Guild Id    |
| `user_id`  | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_update\_auto\_moderation\_rule

PATCH /guilds/\{guild\_id}/auto-moderation/rules/\{rule\_id}

**Parameters:**

| Parameter  | Type   | Required | Default | Description  |
| ---------- | ------ | -------- | ------- | ------------ |
| `guild_id` | string | Yes      | —       | Guild Id     |
| `rule_id`  | string | Yes      | —       | Rule Id      |
| `body`     | object | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "rule_id": {
        "type": "string",
        "description": "Rule Id"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "rule_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_update\_guild

PATCH /guilds/\{guild\_id}

**Parameters:**

| Parameter                       | Type      | Required | Default | Description        |                               |
| ------------------------------- | --------- | -------- | ------- | ------------------ | ----------------------------- |
| `guild_id`                      | string    | Yes      | —       | Guild Id           |                               |
| `afk_channel_id`                | string    | null     | No      | —                  | Afk Channel Id                |
| `afk_timeout`                   | integer   | null     | No      | —                  | Afk Timeout                   |
| `banner`                        | string    | null     | No      | —                  | The banner value              |
| `default_message_notifications` | integer   | null     | No      | —                  | Default Message Notifications |
| `description`                   | string    | null     | No      | —                  | The description value         |
| `discovery_splash`              | string    | null     | No      | —                  | Discovery Splash              |
| `explicit_content_filter`       | integer   | null     | No      | —                  | Explicit Content Filter       |
| `features`                      | string\[] | No       | —       | The features value |                               |
| `home_header`                   | string    | null     | No      | —                  | Home Header                   |
| `icon`                          | string    | null     | No      | —                  | The icon value                |
| `name`                          | string    | No       | —       | The name value     |                               |
| `preferred_locale`              | string    | null     | No      | —                  | Preferred Locale              |
| `premium_progress_bar_enabled`  | boolean   | null     | No      | —                  | Premium Progress Bar Enabled  |
| `public_updates_channel_id`     | string    | null     | No      | —                  | Public Updates Channel Id     |
| `region`                        | string    | null     | No      | —                  | The region value              |
| `rules_channel_id`              | string    | null     | No      | —                  | Rules Channel Id              |
| `safety_alerts_channel_id`      | string    | null     | No      | —                  | Safety Alerts Channel Id      |
| `splash`                        | string    | null     | No      | —                  | The splash value              |
| `system_channel_flags`          | integer   | null     | No      | —                  | System Channel Flags          |
| `system_channel_id`             | string    | null     | No      | —                  | System Channel Id             |
| `verification_level`            | integer   | null     | No      | —                  | Verification Level            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "afk_channel_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Afk Channel Id"
      },
      "afk_timeout": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Afk Timeout"
      },
      "banner": {
        "type": [
          "string",
          "null"
        ],
        "description": "The banner value"
      },
      "default_message_notifications": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Default Message Notifications"
      },
      "description": {
        "type": [
          "string",
          "null"
        ],
        "description": "The description value"
      },
      "discovery_splash": {
        "type": [
          "string",
          "null"
        ],
        "description": "Discovery Splash"
      },
      "explicit_content_filter": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Explicit Content Filter"
      },
      "features": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The features value"
      },
      "home_header": {
        "type": [
          "string",
          "null"
        ],
        "description": "Home Header"
      },
      "icon": {
        "type": [
          "string",
          "null"
        ],
        "description": "The icon value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "preferred_locale": {
        "type": [
          "string",
          "null"
        ],
        "description": "Preferred Locale"
      },
      "premium_progress_bar_enabled": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Premium Progress Bar Enabled"
      },
      "public_updates_channel_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Public Updates Channel Id"
      },
      "region": {
        "type": [
          "string",
          "null"
        ],
        "description": "The region value"
      },
      "rules_channel_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Rules Channel Id"
      },
      "safety_alerts_channel_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Safety Alerts Channel Id"
      },
      "splash": {
        "type": [
          "string",
          "null"
        ],
        "description": "The splash value"
      },
      "system_channel_flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "System Channel Flags"
      },
      "system_channel_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "System Channel Id"
      },
      "verification_level": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Verification Level"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_update\_guild\_emoji

PATCH /guilds/\{guild\_id}/emojis/\{emoji\_id}

**Parameters:**

| Parameter  | Type      | Required | Default | Description     |
| ---------- | --------- | -------- | ------- | --------------- |
| `guild_id` | string    | Yes      | —       | Guild Id        |
| `emoji_id` | string    | Yes      | —       | Emoji Id        |
| `name`     | string    | No       | —       | The name value  |
| `roles`    | string\[] | No       | —       | The roles value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "emoji_id": {
        "type": "string",
        "description": "Emoji Id"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "roles": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "The roles value"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "emoji_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_update\_guild\_member

PATCH /guilds/\{guild\_id}/members/\{user\_id}

**Parameters:**

| Parameter                      | Type      | Required | Default | Description     |                              |
| ------------------------------ | --------- | -------- | ------- | --------------- | ---------------------------- |
| `guild_id`                     | string    | Yes      | —       | Guild Id        |                              |
| `user_id`                      | string    | Yes      | —       | User Id         |                              |
| `channel_id`                   | string    | null     | No      | —               | Channel Id                   |
| `communication_disabled_until` | string    | null     | No      | —               | Communication Disabled Until |
| `deaf`                         | boolean   | null     | No      | —               | The deaf value               |
| `flags`                        | integer   | null     | No      | —               | The flags value              |
| `mute`                         | boolean   | null     | No      | —               | The mute value               |
| `nick`                         | string    | null     | No      | —               | The nick value               |
| `roles`                        | string\[] | No       | —       | The roles value |                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "channel_id": {
        "type": [
          "string",
          "null"
        ],
        "description": "Channel Id"
      },
      "communication_disabled_until": {
        "type": [
          "string",
          "null"
        ],
        "description": "Communication Disabled Until"
      },
      "deaf": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The deaf value"
      },
      "flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "mute": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The mute value"
      },
      "nick": {
        "type": [
          "string",
          "null"
        ],
        "description": "The nick value"
      },
      "roles": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "The roles value"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_update\_guild\_role

PATCH /guilds/\{guild\_id}/roles/\{role\_id}

**Parameters:**

| Parameter       | Type    | Required | Default | Description      |                       |
| --------------- | ------- | -------- | ------- | ---------------- | --------------------- |
| `guild_id`      | string  | Yes      | —       | Guild Id         |                       |
| `role_id`       | string  | Yes      | —       | Role Id          |                       |
| `color`         | integer | null     | No      | —                | The color value       |
| `colors`        | object  | No       | —       | The colors value |                       |
| `hoist`         | boolean | null     | No      | —                | The hoist value       |
| `icon`          | string  | null     | No      | —                | The icon value        |
| `mentionable`   | boolean | null     | No      | —                | The mentionable value |
| `name`          | string  | null     | No      | —                | The name value        |
| `permissions`   | integer | null     | No      | —                | The permissions value |
| `unicode_emoji` | string  | null     | No      | —                | Unicode Emoji         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "role_id": {
        "type": "string",
        "description": "Role Id"
      },
      "color": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The color value"
      },
      "colors": {
        "type": "object",
        "description": "The colors value",
        "properties": {
          "primary_color": {
            "type": "integer",
            "description": "Primary Color"
          },
          "secondary_color": {
            "type": "integer",
            "description": "Secondary Color"
          },
          "tertiary_color": {
            "type": "integer",
            "description": "Tertiary Color"
          }
        }
      },
      "hoist": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The hoist value"
      },
      "icon": {
        "type": [
          "string",
          "null"
        ],
        "description": "The icon value"
      },
      "mentionable": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The mentionable value"
      },
      "name": {
        "type": [
          "string",
          "null"
        ],
        "description": "The name value"
      },
      "permissions": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The permissions value"
      },
      "unicode_emoji": {
        "type": [
          "string",
          "null"
        ],
        "description": "Unicode Emoji"
      }
    },
    "required": [
      "PCID",
      "guild_id",
      "role_id"
    ]
  }
  ```
</Expandable>

***

## discord-guilds\_update\_my\_guild\_member

PATCH /guilds/\{guild\_id}/members/@me

**Parameters:**

| Parameter  | Type   | Required | Default | Description |                  |
| ---------- | ------ | -------- | ------- | ----------- | ---------------- |
| `guild_id` | string | Yes      | —       | Guild Id    |                  |
| `avatar`   | string | null     | No      | —           | The avatar value |
| `banner`   | string | null     | No      | —           | The banner value |
| `bio`      | string | null     | No      | —           | The bio value    |
| `nick`     | string | null     | No      | —           | The nick value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "guild_id": {
        "type": "string",
        "description": "Guild Id"
      },
      "avatar": {
        "type": [
          "string",
          "null"
        ],
        "description": "The avatar value"
      },
      "banner": {
        "type": [
          "string",
          "null"
        ],
        "description": "The banner value"
      },
      "bio": {
        "type": [
          "string",
          "null"
        ],
        "description": "The bio value"
      },
      "nick": {
        "type": [
          "string",
          "null"
        ],
        "description": "The nick value"
      }
    },
    "required": [
      "PCID",
      "guild_id"
    ]
  }
  ```
</Expandable>
